mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used by the attribute.

Specifies categories of functionality potentially harmful to the host if invoked by a method or class.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Exposes all host resources.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Might create or destroy other processes.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Creates or manipulates threads other than its own, which might be harmful to the host.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Might cause a resource leak on termination, if not protected by a safe handle or some other means of ensuring the release of resources.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Exposes no host resources.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Exposes the security infrastructure.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Might exit the current process, terminating the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Manipulates threads in a way that only affects user code.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Exposes state that might be shared between threads.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Exposes synchronization.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.HostProtectionResource

  Exposes the user interface.